Subject: Mobil Beaumont
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 1 Sep 2000 06:38:00 -0700 (PDT)

Rebecca:

I spoke with Brian Nichols about the August preliminary invoice.  There 
appears to be a problem for August 28 & 29 - the volumes are much too low.

Either there were deliveries off of Centana that we are missing, OR there is 
a problem with the HPL data.  I am having brain fade and cannot remember the 
name of the person in the measurement department to contact, so maybe you 
could look into this and have it corrected.

Thanks

Lee